<template>
  <div class="w-1/2 mx-auto mb-5 grid md:grid-cols-2">
    <p>{{user.firstname}} {{user.lastname}} ({{user.email}}) {{user.id === connectedUser.session.id ? '(vous)' : ''}}</p>
    <div class="grid grid-cols-2 gap-4">
      <div>
        <Button
            v-if="user.id !== connectedUser.session.id"
            :label="user.roles.includes('ADMIN') ? 'Retirer des admins' : 'Ajouter aux admins'"
            :color="user.roles.includes('ADMIN') ? 'red' : 'blue'"
            @click="removeOrAddAdminRole(user)"
        />
        <p v-if="user.id == connectedUser.session.id">Admin</p>
      </div>
      <div>
        <router-link
            :to="user.id !== connectedUser.session.id ? { name: 'roadtrips-other-user', params: {id: user.id} } : {name: 'roadtrips'}"
            target="_blank"
            class="w-24"
        >
          <Button :label="user.id !== connectedUser.session.id ? 'Voir ses roadtrips' : 'Voir vos roadtrips'" />
        </router-link>
      </div>
    </div>
  </div>
</template>

<script>
import Button from "@/components/Button";
export default {
  name: "ListUser",
  inject: {connectedUser: 'user'},
  components: {Button},
  props: {
    user: Object,
    removeOrAddAdminRole: Function
  }
}
</script>

<style scoped>

</style>